SCSICAM_BIOS_PARAM(9)

NAME
scsicam_bios_param - Determine geometry of a disk in cylinders/heads/sectors.

SYNOPSIS

int scsicam_bios_param(struct block_device * bdev, sector_t capacity, int * ip);

ARGUMENTS

bdev
    which device

capacity
    size of the disk in sectors

ip
    return value: ip[0]=heads, ip[1]=sectors, ip[2]=cylinders

DESCRIPTION

determine the BIOS mapping/geometry used for a drive in a SCSI-CAM system, storing the results in ip as required by the HDIO_GETGEO ioctl.

RETURNS

-1 on failure, 0 on success.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT